Option Explicit

' ------------------------------------------------------------
' start a cygwin shell
'
' Autor: Oliver Maurhart, <oliver.maurhart@ait.ac.at>
'
' Copyright (C) 2013 AIT Austrian Institute of Technology
' AIT Austrian Institute of Technology GmbH
' Donau-City-Strasse 1 | 1220 Vienna | Austria
' http://www.ait.ac.at
' ------------------------------------------------------------

' ------------------------------------------------------------
' This starts a cygwin shell within a relocatable cygwin
' folder but without a DOS shell window prior. The idea is
' to do it like in this BAT snippet below:
'
'		@echo off
' 		SET INSTALL_DRIVE=%~d0
' 		SET INSTALL_FOLDER=%~p0
' 		SET CYGWIN_BIN="%INSTALL_DRIVE%%INSTALL_FOLDER%bin"
' 		SET CYGWIN_BASH="%INSTALL_DRIVE%%INSTALL_FOLDER%bin\bash"
' 		%INSTALL_DRIVE%
' 		chdir "%CYGWIN_BIN%"
' 		start mintty.exe %CYGWIN_BASH% --login -i
'
' ------------------------------------------------------------

' setup the basic objects
Dim cFSO
Dim cShell
Set cShell = CreateObject("WScript.Shell")
Set cFSO = CreateObject("Scripting.FileSystemObject")

' parse script location and cd into folder
Dim sPath
sPath = Wscript.ScriptFullName
sPath = cFSO.GetAbsolutePathName(sPath)
sPath = cFSO.GetParentFolderName(sPath)
cShell.CurrentDirectory = sPath

' locations of mintty and bash
Dim sMinTTYPath
Dim sBashPath
sMinTTYPath = """" & sPath & "\bin\mintty" & """"
sBashPath = """" & sPath & "\bin\bash" & """"

' start a cygwin shell
cShell.Run sMinTTYPath & " " & sBashPath & " --login -i", 1, false
